---
title: Age
slug: Web/HTTP/Headers/Age
tags:
  - Caching
  - HTTP
  - Response
  - header
---
<div>{{HTTPSidebar}}</div>

<p>The <code><strong>Age</strong></code> header contains the time in seconds the object has been in a proxy cache.</p>

<p>The <code>Age</code> header is usually close to zero. If it is <code>Age: 0</code>, it was probably just fetched from the origin server; otherwise It is usually calculated as a difference between the proxy's current date and the {{HTTPHeader("Date")}} general header included in the HTTP response.</p>

<table class="properties">
 <tbody>
  <tr>
   <th scope="row">Header type</th>
   <td>{{Glossary("Response header")}}</td>
  </tr>
  <tr>
   <th scope="row">{{Glossary("Forbidden header name")}}</th>
   <td>no</td>
  </tr>
 </tbody>
</table>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">Age: &lt;delta-seconds&gt;
</pre>

<h2 id="Directives">Directives</h2>

<dl>
 <dt>&lt;delta-seconds&gt;</dt>
 <dd>
 <p>A non-negative integer, representing time in seconds the object has been in a proxy cache.</p>
 </dd>
</dl>

<h2 id="Examples">Examples</h2>

<pre>Age: 24</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Title</th>
  </tr>
  <tr>
   <td>{{RFC("7234", "Age", "5.1")}}</td>
   <td>Hypertext Transfer Protocol (HTTP/1.1): Caching</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p class="hidden">The compatibility table in this page is generated from structured data. If you'd like to contribute to the data, please check out <a href="https://github.com/mdn/browser-compat-data">https://github.com/mdn/browser-compat-data</a> and send us a pull request.</p>

<p>{{Compat("http.headers.Age")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{HTTPHeader("Cache-Control")}}</li>
 <li>{{HTTPHeader("Expires")}}</li>
</ul>
